Рекомендации к серверу


Первым шагом по настройке интернет-магазина на основе WooCommerce является установка WordPress и самого плагина WooCommerce. Но прежде чем начать установку, вы должны проверить характеристики своего сервера. Ниже представлены рекомендации к требованию характеристик сервера:

  • Версия PHP 7 или выше
  • MySQL версии 5.6 или выше ИЛИ MariaDB версии 10.0 или выше
  • Минимальный лимит памяти 128Мб или выше
  • Поддержка HTTPS

Вы также должны проверить требования WordPress. По сути если у вас работает сам WordPress то и Woocommerce заработает.

Версии PHP 5.2.4+ и MySQL 5.0+ больше не поддерживаются, поэтому могут очень сильно снижать уровень безопасности вашего сайта.

Необязательные опции


Некоторые плагин (дополнительные модули) требуют дополнительно установленные библиотеки PHP. Вот некоторые из них:

  • Поддержка CURL или fsockopen
  • Поддержка SOAP
  • Поддержка многобайтовой строки
  • Поддержка XML